/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package datamodel;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import javax.persistence.Basic;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author NC11
 */
@Entity
@Table(name = "racun")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Racun.findAll", query = "SELECT r FROM Racun r")
    , @NamedQuery(name = "Racun.findByRacunID", query = "SELECT r FROM Racun r WHERE r.racunID = :racunID")
    , @NamedQuery(name = "Racun.findByDatum", query = "SELECT r FROM Racun r WHERE r.datum = :datum")
    , @NamedQuery(name = "Racun.findByUkupanIznos", query = "SELECT r FROM Racun r WHERE r.ukupanIznos = :ukupanIznos")})
public class Racun implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "racunID")
    private Integer racunID;
    @Column(name = "datum")
    @Temporal(TemporalType.DATE)
    private Date datum;
    @ManyToOne
    @JoinColumn(name = "dobavljac", referencedColumnName = "dobavljacID")
    private Dobavljac dobavljac;
    
    
    // @Max(value=?)  @Min(value=?)//if you know range of your decimal fields consider using these annotations to enforce field validation
    @Column(name = "ukupanIznos")
    private Double ukupanIznos;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "racun1")
    private List<Stavkaracuna> stavkaracunaList;

    public Racun() {
    }

    public Racun(Integer racunID) {
        this.racunID = racunID;
    }

    public Integer getRacunID() {
        return racunID;
    }

    public void setRacunID(Integer racunID) {
        this.racunID = racunID;
    }

    public Date getDatum() {
        return datum;
    }

    public void setDatum(Date datum) {
        this.datum = datum;
    }

    public Double getUkupanIznos() {
        return ukupanIznos;
    }

    public void setUkupanIznos(Double ukupanIznos) {
        this.ukupanIznos = ukupanIznos;
    }

    @XmlTransient
    public List<Stavkaracuna> getStavkaracunaList() {
        return stavkaracunaList;
    }

    public void setStavkaracunaList(List<Stavkaracuna> stavkaracunaList) {
        this.stavkaracunaList = stavkaracunaList;
    }

    public Dobavljac getDobavljac() {
        return dobavljac;
    }

    public void setDobavljac(Dobavljac dobavljac) {
        this.dobavljac = dobavljac;
    }

    
    
    @Override
    public int hashCode() {
        int hash = 0;
        hash += (racunID != null ? racunID.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Racun)) {
            return false;
        }
        Racun other = (Racun) object;
        if ((this.racunID == null && other.racunID != null) || (this.racunID != null && !this.racunID.equals(other.racunID))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "datamodel.Racun[ racunID=" + racunID + " ]";
    }
    
}
