/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package glavna;

import dao.DaoDobavljac;
import dao.DaoMesto;
import dao.impl.DaoDobavljacImpl;
import dao.impl.DaoMestoImpl;
import datamodel.Dobavljac;
import datamodel.Mesto;
import datamodel.Proizvod;
import java.util.List;
import niti.StartServer;

/**
 *
 * @author NC11
 */
public class Glavna {
    public static void main(String[] args) {
//        Proizvod p = new Proizvod(153,"Pera cokolada", 448.00);
//        DaoProizvod daoProizvod = new DaoProizvodImpl();
//        try {
//            daoProizvod.sacuvajAutoIncr(p);
//            //daoProizvod.sacuvajIliAzuriraj(p);
//            System.out.println("Sacuvan proizvod.");
//        } catch (Exception ex) {
//            System.out.println(ex.getMessage());
//        }

        //testMesto();
        //testDobavljac();
        
        StartServer start = new StartServer(9001);
        start.start();
                
        
    }

    
    
    private static void testMesto() {
        testSacuvajMesto();
    }

    private static void testSacuvajMesto() {
        Mesto m = new Mesto();
        m.setPtt(new Long(11000));
        m.setNaziv("Beograd");
        
        DaoMesto daoMesto = new DaoMestoImpl();
        try {
            daoMesto.sacuvaj(m);
            System.out.println("Mesto je sacuvano.");
        } catch (Exception ex) {
            System.out.println("Main: " + ex.getMessage());
        }
        
    }

    private static void testDobavljac() {
        testPrikaziSveDobavljace();
    }

    private static void testPrikaziSveDobavljace() {
        DaoDobavljac daoDobavljac = new DaoDobavljacImpl();
        List<Dobavljac> dobavljaci = daoDobavljac.vratiListuDobavljaca();
        prikaziDobavljace(dobavljaci);
    }

    private static void prikaziDobavljace(List<Dobavljac> dobavljaci) {
        odstampajZaglavlje();
        for (Dobavljac dobavljac : dobavljaci) {
            //System.out.println(dobavljac.getDobavljacid() + "\t" + dobavljac.getNaziv() + "\t" + dobavljac.getAdresa() + "\t" + dobavljac.getPttFK().getNaziv());
            System.out.println(dobavljac);
            System.out.println("Proizvodi ("+dobavljac.getProizvodi().size() + ")" );
            
            List<Proizvod> proizvodi = dobavljac.getProizvodi();
            for(Proizvod proizvod : proizvodi){
                System.out.println(proizvod);
            }
        }
    }

    private static void odstampajZaglavlje() {
        System.out.println("------------------------------------"
                + "---------------------------------------------"
                + "---------------------------------------------"
                + "----------------------------");
        System.out.println("Dobavljaci");
        System.out.println("------------------------------------"
                + "---------------------------------------------"
                + "---------------------------------------------"
                + "----------------------------");
        System.out.println(vratiZaglavlje());
        System.out.println("------------------------------------"
                + "---------------------------------------------"
                + "---------------------------------------------"
                + "----------------------------");
    }

    private static String vratiZaglavlje() {
        return String.format(
                "%-10s"
                + "%-30s|"
                + "%-30s"
                + "%-8s"
                + "%-30s" 
                + "%-15s"
                + "%-15s"
                + "%-15s",
                "ID Dob.",
                "Naziv",
                "Adresa",
                "PTT",
                "Mesto",
                "pib",
                "maticni broj",
                "jmbg");
    }
}




