/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package niti;

import dao.DaoDobavljac;
import dao.impl.DaoDobavljacImpl;
import dao.impl.DaoProizvodImpl;
import datamodel.Dobavljac;
import datamodel.Proizvod;
import dto.DobavljacDTO;
import dto.ProizvodDTO;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.Socket;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import mapper.DobavljacMapper;
import transfer.OdogovorServera;
import transfer.Operacije;
import transfer.ZahtevKlijenta;

/**
 *
 * @author NC11
 */
public class NitObradaKlijenta extends Thread {

    Socket vezaSaKlijentom;

    public NitObradaKlijenta(Socket vezaSaKlijentom) {
        this.vezaSaKlijentom = vezaSaKlijentom;
    }

    @Override
    public void run() {
    
    }

    public Socket getVezaSaKlijentom() {
        return vezaSaKlijentom;
    }

    public void setVezaSaKlijentom(Socket vezaSaKlijentom) {
        this.vezaSaKlijentom = vezaSaKlijentom;
    }

    
    private ZahtevKlijenta primiPoruku() throws IOException, ClassNotFoundException {
        ObjectInputStream inOdKlijenta = new ObjectInputStream(vezaSaKlijentom.getInputStream());
        return (ZahtevKlijenta) inOdKlijenta.readObject();
    }

    public void posaljiPoruku(OdogovorServera odgovor) throws IOException {

        ObjectOutputStream outKaKlijentu = new ObjectOutputStream(vezaSaKlijentom.getOutputStream());
        outKaKlijentu.writeObject(odgovor);
    }

    

}
