/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package dao.impl;

import dao.DaoMesto;
import datamodel.Mesto;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

/**
 *
 * @author NC11
 */
public class DaoMestoImpl implements DaoMesto {

    private final EntityManagerFactory emf;

    public DaoMestoImpl() {
        emf = Persistence.createEntityManagerFactory("ProdavnicaPU");
    }

    @Override
    public void sacuvaj(Mesto mesto) throws Exception {
        EntityManager em = emf.createEntityManager();
        Mesto db_mesto = em.find(Mesto.class, mesto.getPtt());
        try {
            if (db_mesto == null) {
                em.getTransaction().begin();
                em.persist(mesto);
                em.getTransaction().commit();
                System.out.println("Mesto je sacuvano.");
            } else {
                throw new Exception("Mesto sa ptt brojem " + mesto.getPtt() + " vec postoji.");
            }
        } catch (Exception e) {
            System.out.println(e.getMessage());
            throw e;
            //throw new Exception("Greska kod izvrsenja metode sacuvaj().");
        } finally {
            em.close();
            System.out.println("EntityManager se zatvorio");
        }
    }

}
