/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package mapper;

import datamodel.Dobavljac;
import datamodel.Proizvod;
import dto.DobavljacDTO;
import dto.ProizvodDTO;
import java.util.ArrayList;

/**
 *
 * @author vojkan
 */
public class DobavljacMapper {
    
    
    public static Dobavljac mapDobavljacDTO2Dobavljac(DobavljacDTO dobavljacDTO){
        Dobavljac dobavljac  = new Dobavljac();
        
        dobavljac.setDobavljacid(dobavljacDTO.getDobavljacid());
        dobavljac.setNaziv(dobavljacDTO.getNaziv());
        dobavljac.setAdresa(dobavljacDTO.getAdresa());
        dobavljac.setPttFK(MestoMapper.mapMestoDtoToMesto(dobavljacDTO.getPttFK()));
        dobavljac.setProizvodi(new ArrayList<>());
        
        for (int i = 0; i < dobavljacDTO.getProizvodi().size(); i++) {
            ProizvodDTO proizvodDTO = dobavljacDTO.getProizvodi().get(i);
            dobavljac.getProizvodi().add(mapper.ProizvodMapper.mapProizvodDtoToProizvod(proizvodDTO));
        }
                
        return dobavljac;
    }
    
        public static DobavljacDTO mapDobavljac2DobavljacDTO(Dobavljac dobavljac){
        DobavljacDTO dobavljacDTO  = new DobavljacDTO();
        
        dobavljacDTO.setDobavljacid(dobavljac.getDobavljacid());
        dobavljacDTO.setNaziv(dobavljac.getNaziv());
        dobavljacDTO.setAdresa(dobavljac.getAdresa());
        dobavljacDTO.setPttFK(MestoMapper.mapMestoDtoToMesto(dobavljac.getPttFK()));
        dobavljacDTO.setProizvodi(new ArrayList<>());
        
        for (int i = 0; i < dobavljac.getProizvodi().size(); i++) {
            Proizvod proizvod = dobavljac.getProizvodi().get(i);
            dobavljacDTO.getProizvodi().add(mapper.ProizvodMapper.mapProizvodToProizvodDTO(proizvod));
        }
                
        return dobavljacDTO;
    }

    
    
}
